### Method

# Ide Device get_id

#### Declaration

    const gchar*
    ide_device_get_id (
      IdeDevice* self
    )

#### Description

Retrieves the “id” property of the `IdeDevice`. This is generally not a user friendly name as it is often a guid.

Available since: | 3.32

Gets property | `Ide.Device:id`

#### Return value

Returns: | `const gchar*`
| A unique identifier for the device.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.